<?php

class Category extends Model
{

	function __construct($fromArray = array())
	{
		$this->_tableName_ = 'categories';
		parent::__construct($fromArray);
		$this->setRelation('points', 'id', 'Point', 'categoryId', self::TO_MANY);
	}

	static function model()
	{
		return new self();
	}

}
